Assignee: Go MAEDA % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

This patch adds a link to the projects administration page (/admin/projects) on the projects page in order to improve usability.

The current projects page has "New project" button, but does not have any other administrative buttons such as Archive and Copy.

When I want to do such tasks, I often open the projects page by mistake. I think it is quite natural for admins to think that they can

archive or copy projects on the page named "Projects".

Adding a link to the projects administration page can help them. Even if they open Projects instead of Administration by mistake, the

link makes easy to go to projects administration page.

 

Related issues:

Related to Redmine - Patch #30203: Add links to administration pages in proje... Closed

Associated revisions

Revision 18873 - 2019-10-27 02:06 - Go MAEDA

Add a link to projects administration page on projects page (#32306).

Patch by Go MAEDA.

History

#1 - 2019-10-26 09:25 - Go MAEDA

- Related to Patch #30203: Add links to administration pages in project settings added

#2 - 2019-10-26 11:03 - Go MAEDA

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

#3 - 2019-10-27 02:06 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

2025-05-17 1/2



Committed the patch.

#4 - 2019-10-30 00:04 - Dominik Ras

Cool. That should clear things up a bit. I cought myself wandering in 'wrong' projects screen many times. That link should speed things up.
